Get SCIM Group
curl --request GET \
--url https://eu1.api.matillion.com/dpc/v1/directory-integration/scim/v2/Groups/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://eu1.api.matillion.com/dpc/v1/directory-integration/scim/v2/Groups/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu1.api.matillion.com/dpc/v1/directory-integration/scim/v2/Groups/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"created": "2023-11-07T05:31:56Z",
"lastModified": "2023-11-07T05:31:56Z",
"location": "<string>",
"resourceType": "<string>",
"version": "<string>"
},
"accountId": "<string>",
"accountName": "<string>",
"displayName": "<string>",
"environment": "<string>",
"externalId": "<string>",
"id": "<string>",
"members": [
{
"display": "<string>",
"ref": "<string>",
"value": "<string>"
}
],
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectName": "<string>",
"role": "<string>",
"schemas": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}Directory Integration
Get SCIM Group
Retrieve a specific SCIM Group by ID
GET
/
v1
/
directory-integration
/
scim
/
v2
/
Groups
/
{id}
Get SCIM Group
Authorizations
a valid bearer token
Path Parameters
Group ID
Response
Group retrieved successfully
Show child attributes
Show child attributes
The unique identifier of the Matillion account this group belongs to
The human-readable name of the Matillion account
The unique identifier of the environment this group is associated with
Required string length:
1 - 2147483647Show child attributes
Show child attributes
The unique identifier of the project this group is associated with
The human-readable name of the project
The role assigned to this group within the Matillion platform
Required array length:
1 - 2147483647 elementsWas this page helpful?
⌘I
